Skip to main content
POST
/
v2
/
notifications
/
update
Update Notifications
curl --request POST \
  --url https://api.velt.dev/v2/notifications/update \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "locationId": "<string>",
    "userId": "<string>",
    "verifyUserPermissions": true,
    "notifications": {
      "id": "<string>",
      "actionUser": {},
      "displayHeadlineMessageTemplate": "<string>",
      "displayHeadlineMessageTemplateData": {
        "actionUser": {},
        "recipientUser": "<string>",
        "yourCustomField": "<string>"
      },
      "displayBodyMessage": "<string>",
      "notificationSourceData": {},
      "readByUserIds": [
        "<string>"
      ],
      "persistReadForUsers": true
    }
  }
}
'
import requests

url = "https://api.velt.dev/v2/notifications/update"

payload = { "data": {
        "organizationId": "<string>",
        "documentId": "<string>",
        "locationId": "<string>",
        "userId": "<string>",
        "verifyUserPermissions": True,
        "notifications": {
            "id": "<string>",
            "actionUser": {},
            "displayHeadlineMessageTemplate": "<string>",
            "displayHeadlineMessageTemplateData": {
                "actionUser": {},
                "recipientUser": "<string>",
                "yourCustomField": "<string>"
            },
            "displayBodyMessage": "<string>",
            "notificationSourceData": {},
            "readByUserIds": ["<string>"],
            "persistReadForUsers": True
        }
    } }
headers = {
    "x-velt-api-key": "<x-velt-api-key>",
    "x-velt-auth-token": "<x-velt-auth-token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-velt-api-key': '<x-velt-api-key>',
    'x-velt-auth-token': '<x-velt-auth-token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    data: {
      organizationId: '<string>',
      documentId: '<string>',
      locationId: '<string>',
      userId: '<string>',
      verifyUserPermissions: true,
      notifications: {
        id: '<string>',
        actionUser: {},
        displayHeadlineMessageTemplate: '<string>',
        displayHeadlineMessageTemplateData: {actionUser: {}, recipientUser: '<string>', yourCustomField: '<string>'},
        displayBodyMessage: '<string>',
        notificationSourceData: {},
        readByUserIds: ['<string>'],
        persistReadForUsers: true
      }
    }
  })
};

fetch('https://api.velt.dev/v2/notifications/update', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
   "result": {
       "status": "success",
       "message": "Notification(s) updated successfully.",
       "data": {
           "5471488637912692": {
               "success": true,
               "message": "Notification updated."
           }
       }
   }
}
Use this API to update notifications.

Endpoint

POST https://api.velt.dev/v2/notifications/update

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Update by organizationId and documentId

{
   "data": {
       "organizationId": "yourOrganizationId",
       "documentId": "yourDocumentId",
       "notifications": [
           {
               "id": "yourNotificationId",
               "displayBodyMessage": "This is body message (Secondary message)",
           }
       ]
   }
}

2. Update by organizationId, documentId and locationId

{
   "data": {
       "organizationId": "yourOrganizationId",
       "documentId": "yourDocumentId",
       "locationId": "yourLocationId",
       "notifications": [
           {
               "id": "yourNotificationId",
               "displayBodyMessage": "This is body message (Secondary message)",
           }
       ]
   }
}

3. Update by organizationId, documentId and userId

{
   "data": {
       "organizationId": "yourOrganizationId",
       "documentId": "yourDocumentId",
       "userId": "yourUserId",
       "notifications": [
           {
               "id": "yourNotificationId",
               "displayBodyMessage": "This is body message (Secondary message)",
           }
       ]
   }
}

4. Update by organizationId and userId

{
   "data": {
       "organizationId": "yourOrganizationId",
       "userId": "yourUserId",
       "notifications": [
           {
               "id": "yourNotificationId",
               "displayBodyMessage": "This is body message (Secondary message)",
           }
       ]
   }
}

5. Update by organizationId, documentId, locationId and userId

{
   "data": {
       "organizationId": "yourOrganizationId",
       "documentId": "yourDocumentId",
       "userId": "yourUserId",
       "locationId": "yourLocationId",
       "notifications": [
           {
               "id": "yourNotificationId",
               "displayBodyMessage": "This is body message (Secondary message)",
           }
       ]
   }
}

6. Update with Permission Verification

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "verifyUserPermissions": true,
    "notifications": [
      {
        "id": "yourNotificationId",
        "displayBodyMessage": "This is updated body message (Secondary message)"
      }
    ]
  }
}
When verifyUserPermissions is enabled, the API checks document access for each user before updating their notifications. Updates are only applied to users with access to the document.

Response

Success Response

{
   "result": {
       "status": "success",
       "message": "Notification(s) updated successfully.",
       "data": {
           "5471488637912692": {
               "success": true,
               "message": "Notification updated."
           }
       }
   }
}

When some notifications are not found

{
   "result": {
       "status": "success",
       "message": "Notification(s) updated successfully.",
       "data": {
           "5471488637912692": {
               "success": false,
               "message": "Failed to update notification."
           },
           "5471488637912693": {
               "success": true,
               "message": "Notification updated."
           }
       }
   }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
   "result": {
       "status": "success",
       "message": "Notification(s) updated successfully.",
       "data": {
           "5471488637912692": {
               "success": true,
               "message": "Notification updated."
           }
       }
   }
}